import { r as registerInstance, h } from './index-CV0Pyo1O.js';
import { S as StyledHost } from './styled-host-D84RBv1W.js';
import './event-types-CZfYo5-1.js';

const JustifiBillingFormFull = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    async getValues() {
        var _a, _b;
        return (_b = (_a = this.billingFormFullRef) === null || _a === void 0 ? void 0 : _a.getValues()) !== null && _b !== void 0 ? _b : {};
    }
    async validate() {
        var _a, _b;
        return (_b = (_a = this.billingFormFullRef) === null || _a === void 0 ? void 0 : _a.validate()) !== null && _b !== void 0 ? _b : { isValid: false, errors: {} };
    }
    render() {
        return (h(StyledHost, { key: 'be25329cda69d5b2c00a84d5abc8ec8a7c5c643d' }, h("billing-form-full", { key: 'c2437172bfbc1c52eb2a86efbef978747e76b4b7', legend: this.legend, ref: (el) => (this.billingFormFullRef = el) })));
    }
};

export { JustifiBillingFormFull as justifi_billing_form_full };
